Loading...
Searching...
No Matches
proto_generic_file.hpp File Reference
Private

precursor class of generic_file used to avoid cyclic dependencies with storage and infinint More...

`#include "../my_config.h"`
`#include "integers.hpp"`
`#include "erreurs.hpp"`
`#include <string>`

Go to the source code of this file.

## Classes

class | libdar::proto_generic_file
| ancestor class of generic_file More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

precursor class of generic_file used to avoid cyclic dependencies with storage and infinint

Note
  API included module due to dependencies

Definition in file proto_generic_file.hpp.